SystemOrganization addCategory: #'FileSystem-Tests-Disk'!

FileSystemHandleTest subclass: #FileHandleTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FileSystem-Tests-Disk'!

!FileHandleTest methodsFor: 'running' stamp: 'EstebanLorenzano 4/3/2012 11:42'!
createFileSystem
	^ FileSystem store: DiskStore activeClass createDefault! !

FileSystemTest subclass: #DiskFileSystemTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FileSystem-Tests-Disk'!

!DiskFileSystemTest methodsFor: 'initialize-release' stamp: 'EstebanLorenzano 4/3/2012 13:17'!
createFileSystem
	^ FileSystem store: (DiskStore activeClass createDefault)! !

!DiskFileSystemTest methodsFor: 'tests' stamp: 'IgorStasenko 8/17/2011 17:01'!
testDefaultWorkingDirectory
	| ref |
	ref := filesystem workingDirectory.
	self assert: (Smalltalk vm imagePath beginsWith: ref asString)! !

!DiskFileSystemTest methodsFor: 'tests' stamp: 'EstebanLorenzano 4/3/2012 11:42'!
testEqual
	| other |
	other := self createFileSystem.
	self assert: filesystem = other! !

!DiskFileSystemTest methodsFor: 'tests' stamp: 'EstebanLorenzano 4/2/2012 11:43'!
testIsDirectory
	self assert: (filesystem isDirectory: Locator imageDirectory resolve path)! !
